Subject: Re: bug#1933: 23.0.60; [PATCH] dir-local variables don't work on remote files
From: Michael Albinus <[email-masked]>
To: Ian Eure <[email-masked]>, Leo <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Wed, 06 Jun 2012 16:04:17 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 24.2

Ian Eure <[email-masked]> writes:

Hi Ian and Leo,

> I guess for speed reasons, dir-local-variables don’t work when opening
> remote fiales. Which is unfortunate for me, since I need them. Here’s
> a patch against HEA which implements a simple switch for it, defaulted
> to the current behavior.

It took a while, but finally I have applied the patch, modified. The
customer option is called `enable-remote-dir-locals'. When set to `t',
remote .dir-locals files are evaluated as well. And I've fixed an error
of the patch in the logic of the condition.

I hope it is still useful for you.

Best regards, Michael.